<?php
    session_start();
// valido si es rectificar, en ese caso cierro pantalla
	// valido si es guardar
	//se valida que el miembro no haya votado
	$novoto = "N";	
	if ($_SESSION["id_usuario"]>0) {
		$servername ="localhost";
		$username = "root";
		$password = "";
		$dbname = "socelec";
		$conexion= new mysqli($servername, $username, $password, $dbname);
		$resultados = array();
		// Verificando conexión
		if ($conexion->connect_error) {
			die("Conexión a la base de datos fallida: " . $conexion->connect_error);
		echo "<script>alert('Conexión a la base de datos fallida...');</script>";
			echo "<script> window.close();</script>";
		} 
		$sql = "SELECT `estatusvoto` FROM `usuarios` WHERE `id1`=" . $_SESSION["id_usuario"];
		$row=array();
		$resultado = mysqli_query($conexion, $sql);
		//Verificando que la consulta traiga resultados
		if ((mysqli_num_rows($resultado) > 0)) {
			while ($row=mysqli_fetch_array($resultado)) {
				$novoto = $row['estatusvoto'];;
			} 
		} 
		if ($novoto=="N") {
			//si no voto se valida que no haya voto registrado para ese usuario
			$sql = "SELECT `idusu` FROM `votos` WHERE `idusu`=". $_SESSION["id_usuario"];
			$estatussolvencia = 0; //0 no voto, 1 voto
			$row=array();
			$resultado = mysqli_query($conexion, $sql);
			//Verificando que la consulta traiga resultados
			if ((mysqli_num_rows($resultado) > 0)) {
				while ($row=mysqli_fetch_array($resultado)) {
					$estatussolvencia = 1;
					$novoto = 'S';
				} 
			}
			//se valida si no hay voto registrado, para lo cual se guarda el voto
			if ($estatussolvencia == 0) {
				// se procede a gaurda el voto
				$sql="";
				// se pone al usuario como que voto
				$sql = "UPDATE `usuarios` SET `estatusvoto`='S', `ultimoacceso`= current_timestamp()  WHERE `id1`=". $_SESSION["id_usuario"];
				$query1 = mysqli_query($conexion,$sql);
				//validar si el update se realizo
				// se guarda la fecha de acceso
				$sql= "INSERT INTO `relacceso` (`id`, `idusuario`, `fecha`) VALUES (NULL, '". $_SESSION["id_usuario"] . "', current_timestamp());";
				$query1 = mysqli_query($conexion,$sql);
				//validar que el insert se realizo
				// se guarda el voto
				$sql="INSERT INTO `votos` (`id`, `idusu`, `cvotovice`) VALUES (NULL, '".$_SESSION["id_usuario"]."', '".$_SESSION["vplancha"]."');";
				$query1 = mysqli_query($conexion,$sql);
				//validar que el insert se realizo
				// se suma el voto a cada candidato
				$sql = "UPDATE `candidato` SET `votos`=`votos`+1 WHERE `indice`='". $_SESSION["vplancha"] ."';";
				$query1 = mysqli_query($conexion,$sql);
				
			} else {
				// se emite un mensaje que ya voto
				echo "<script> Ud. ya ha ejercido su derecho al voto;</script>";			
			}
		} else {
			// se emite un mensaje que ya voto
			echo "<script> Ud. ya ha ejercido su derecho al voto;</script>";		
		}
		$conexion->close();
		if ($estatussolvencia==0) {
			echo "<script>alert('Votos Guardados Exitosamente...');</script>";
			if ($_SESSION["vplancha"]=="1x1"){
				Header('Location: generapdf1.php');
			} else {
				if ($_SESSION["vplancha"]=="1x2"){
					Header('Location: generapdf2.php');
				} else {
					Header('Location: generapdf3.php');
				}
			}
		} else {
			echo "<script>alert('Usted habia Votado ANTERIORMENTE...'); 
			</script>";	
			//Header('Location: login.html');
		}
	}
// se cierran todas las pesta!nas del sistema
?>
